import { InjectionToken } from '@angular/core';
import { setupListeners } from '@reduxjs/toolkit/dist/query/core/setupListeners';
export interface StoreQueryConfig {
    setupListeners: boolean | Parameters<typeof setupListeners>[1];
    baseUrl: string;
}
export declare let currentConfig: StoreQueryConfig | undefined;
export declare const setupConfig: (config: StoreQueryConfig) => void;
export declare const defaultConfig: StoreQueryConfig;
export declare const STORE_RTK_QUERY_CONFIG: InjectionToken<StoreQueryConfig>;
