import { Signal } from '@angular/core';
import { Action } from '@ngrx/store';
import { AnyAction, ThunkAction } from '@reduxjs/toolkit';
import { InternalMiddlewareState } from '@reduxjs/toolkit/dist/query/core/buildMiddleware/types';
import * as i0 from "@angular/core";
export declare const internalBatchState: InternalMiddlewareState;
export declare function dispatch(action: Action): Action;
export declare function dispatch<R>(action: ThunkAction<R, any, any, AnyAction>): R;
export declare function dispatch<R>(action: Action | ThunkAction<R, any, any, AnyAction>): R | Action;
export declare function getState(): any;
export declare function select<K>(mapFn: (state: any) => K): Signal<K>;
export declare class ThunkService {
    #private;
    init(): void;
    getState: Signal<any>;
    dispatch(action: Action): void;
    select<K>(mapFn: (state: any) => K): Signal<K>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThunkService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ThunkService>;
}
